diff --git a/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java b/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
index 58981b96e..d890ee58d 100644
--- a/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
+++ b/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
@@ -81,7 +81,7 @@ public class BiomeFinder implements MinecraftAccessor {
                     worldFolder = new File(value);
                     break;
                 case "world-client":
-                    worldFolder = new File(Minecraft.getMinecraft(Minecraft.class).getMinecraftDir(), "saves/" + value);
+                    worldFolder = new File(Minecraft.getMinecraft().getMinecraftDir(), "saves/" + value);
                     break;
                 case "seed":
                     seed = parseSeed(value);
@@ -134,7 +134,7 @@ public class BiomeFinder implements MinecraftAccessor {
 
 		File worldDirectory;
 		try {
-			worldDirectory = new File(Minecraft.getMinecraft(Minecraft.class).getMinecraftDir(), "saves");
+			worldDirectory = new File(Minecraft.getMinecraft().getMinecraftDir(), "saves");
 		} catch (Exception e){
 			worldDirectory = new File("");
 		}
diff --git a/game/client/src/main/java/net/betterthanadventure/utils/DataDumper.java b/game/client/src/main/java/net/betterthanadventure/utils/DataDumper.java
index 2b9d5de72..af57e1a85 100644
--- a/game/client/src/main/java/net/betterthanadventure/utils/DataDumper.java
+++ b/game/client/src/main/java/net/betterthanadventure/utils/DataDumper.java
@@ -198,8 +198,8 @@ public class DataDumper implements MinecraftAccessor {
     }
     @Override
     public File getMinecraftDir() {
-        if (!Global.isServer && Minecraft.getMinecraft(Minecraft.class) != null) { // Very hack way of making it pull the instance's mc directory when running from ingame
-            return Minecraft.getMinecraft(Minecraft.class).getMinecraftDir();
+        if (!Global.isServer && Minecraft.getMinecraft() != null) { // Very hack way of making it pull the instance's mc directory when running from ingame
+            return Minecraft.getMinecraft().getMinecraftDir();
         }
         if (minecraftDir == null){
             try {
diff --git a/game/client/src/main/java/net/minecraft/client/Minecraft.java b/game/client/src/main/java/net/minecraft/client/Minecraft.java
index bd05f7846..dbe652239 100644
--- a/game/client/src/main/java/net/minecraft/client/Minecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/Minecraft.java
@@ -2763,17 +2763,7 @@ public class Minecraft
         return INSTANCE != null? (int) (INSTANCE.gameSettings.autosaveTimer.value * 24) * 5 : 0;
     }
     
-    public static Minecraft getMinecraft(Object caller) {
-        return getMinecraft(caller.getClass());
-    }
-
-    public static Minecraft getMinecraft(Class<?> caller)
-    {
-        String name = caller.getPackage().getName();
-        if (name.startsWith("net.minecraft.core") || name.startsWith("net.minecraft.server"))
-        {
-            throw new RuntimeException("Tried to access net.minecraft.client.Minecraft from outside net.minecraft.client!");
-        }
+    public static Minecraft getMinecraft() {
         return INSTANCE;
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/entity/ClientSkinVariantList.java b/game/client/src/main/java/net/minecraft/client/entity/ClientSkinVariantList.java
index 09f700a35..510a0610c 100644
--- a/game/client/src/main/java/net/minecraft/client/entity/ClientSkinVariantList.java
+++ b/game/client/src/main/java/net/minecraft/client/entity/ClientSkinVariantList.java
@@ -49,7 +49,7 @@ public class ClientSkinVariantList extends SkinVariantList {
 
 	protected @Nullable EntityVariants getEntityVariants(@Nullable String variantJsonPath) {
 		try {
-			if (!Minecraft.getMinecraft(this).gameSettings.mobVariants.value) return null;
+			if (!Minecraft.getMinecraft().gameSettings.mobVariants.value) return null;
 			if (variantJsonPath == null) return null;
 			if (!variantProcessorMap.containsKey(variantJsonPath)) {
 				loadJson(variantJsonPath);
diff --git a/game/client/src/main/java/net/minecraft/client/entity/particle/ParticleDispatcher.java b/game/client/src/main/java/net/minecraft/client/entity/particle/ParticleDispatcher.java
index cd2bd043d..5693ba24d 100644
--- a/game/client/src/main/java/net/minecraft/client/entity/particle/ParticleDispatcher.java
+++ b/game/client/src/main/java/net/minecraft/client/entity/particle/ParticleDispatcher.java
@@ -36,7 +36,7 @@ public final class ParticleDispatcher extends Dispatcher<String, ParticleLambda>
 
     private ParticleDispatcher() {
         INSTANCE = this;
-        Minecraft mc = Minecraft.getMinecraft(this);
+        Minecraft mc = Minecraft.getMinecraft();
         addDispatch("bubble", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleBubble(world, x, y, z, motionX, motionY, motionZ, true));
         addDispatch("smoke", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleSmoke(world, x, y, z, motionX, motionY, motionX));
         addDispatch("note", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleNote(world, x, y, z, motionX, motionY, motionX, data));
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
index 58242abb8..eccee5293 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
@@ -16,7 +16,7 @@ public class ScreenConnectFailed extends Screen
 			errorDetail = stringtranslate.translateKey(s1);
 		}
 		
-		Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
+		Minecraft mc = Minecraft.getMinecraft();
 		if(mc.session != null) {
 			String authToken = mc.session.sessionId;
 			if(authToken != null && authToken.length() > 1 && errorDetail.contains(authToken)) {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
index 5293cb726..42e815470 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
@@ -81,7 +81,7 @@ public class ScreenPhotoMode extends Screen
 
     public ScreenPhotoMode()
     {
-        Minecraft mc = Minecraft.getMinecraft(this);
+        Minecraft mc = Minecraft.getMinecraft();
 
         if(Shaders.enableShaders) {
             photoModeRenderer = new PhotoModeRenderer(mc, this);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
index 103101214..b0451b2fa 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
@@ -37,7 +37,7 @@ public class ScreenStats extends Screen {
         selectionList = null;
         this.parent = parent;
         this.statsCounter = statsCounter;
-        tooltip = new TooltipElement(Minecraft.getMinecraft(this));
+        tooltip = new TooltipElement(Minecraft.getMinecraft());
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
index 39f482a97..af531b6de 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
@@ -112,7 +112,7 @@ public class ScreenAchievements extends Screen
         this.statsCounter = statsCounter;
 
         this.parent = parent;
-        this.mc = Minecraft.getMinecraft(this);
+        this.mc = Minecraft.getMinecraft();
         this.tooltip = new TooltipElement(mc);
         this.renderItem = new ItemElement(mc);
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java b/game/client/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java
index 996695ea3..a0c821058 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java
@@ -16,7 +16,7 @@ import java.util.Objects;
 import java.util.Random;
 
 public class AchievementPageNether extends AchievementPage {
-    protected final Minecraft mc = Minecraft.getMinecraft(this);
+    protected final Minecraft mc = Minecraft.getMinecraft();
     protected final ItemStack icon;
     @NotNull
     protected final String key;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageOverworld.java b/game/client/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageOverworld.java
index 242718d51..90e000a5f 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageOverworld.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageOverworld.java
@@ -21,7 +21,7 @@ import java.util.Random;
 import java.util.function.BiFunction;
 
 public class AchievementPageOverworld extends AchievementPage {
-    protected final Minecraft mc = Minecraft.getMinecraft(this);
+    protected final Minecraft mc = Minecraft.getMinecraft();
     protected final ItemStack icon;
     @NotNull
     protected final String key;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
index addd56cb0..eb1054174 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
@@ -42,7 +42,7 @@ public abstract class ScreenContainerAbstract extends Screen
 
 	public ScreenContainerAbstract(final MenuAbstract container)
 	{
-		Minecraft mc = Minecraft.getMinecraft(this);
+		Minecraft mc = Minecraft.getMinecraft();
 		xSize = 176;
 		ySize = 166;
 		inventorySlots = container;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java b/game/client/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java
index 2bf5c0d93..b5de2a188 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java
@@ -14,7 +14,7 @@ import static org.lwjgl.opengl.GL11.*;
 public abstract class ButtonComponent
     implements PageComponent
 {
-    protected static final Minecraft mc = Minecraft.getMinecraft(ButtonComponent.class);
+    protected static final Minecraft mc = Minecraft.getMinecraft();
     protected static final int COMPONENT_SPACING = 2;
     private static final int BUTTON_WIDTH = 100;
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java b/game/client/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java
index 17e9b65d4..a35ff3e37 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java
@@ -14,7 +14,7 @@ import static org.lwjgl.opengl.GL11.*;
 
 public class TextFieldComponent
     implements CallbackComponent<String> {
-    protected static final Minecraft mc = Minecraft.getMinecraft(ButtonComponent.class);
+    protected static final Minecraft mc = Minecraft.getMinecraft();
     protected static final int COMPONENT_SPACING = 2;
     private static final int BUTTON_WIDTH = 150;
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
index 48a986d6e..dabe6af17 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
@@ -40,7 +40,7 @@ public class ScreenGuidebook
 
     private final int xSize = 158 * 2;
     private final int ySize = 220;
-    private final TooltipElement tooltip = new TooltipElement(Minecraft.getMinecraft(this));
+    private final TooltipElement tooltip = new TooltipElement(Minecraft.getMinecraft());
     private Tab[] tabs = new Tab[TABS_PER_SIDE * 2];
 
     private GuidebookPage lastPage = null;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java
index b2e51e94e..6539c502f 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java
@@ -117,7 +117,7 @@ public class SlotGuidebook extends Slot
 	public boolean getIsDiscovered(Player player){
 		if (item == null || discovered) return true;
 		if (player instanceof PlayerLocal){
-			Minecraft mc = Minecraft.getMinecraft(this);
+			Minecraft mc = Minecraft.getMinecraft();
 			if (!mc.gameSettings.hideUndiscoveredItems.value) return true;
 		}
 		return player.getStat(item.getItem().getStat(StatList.STAT_PICKED_UP)) > 0 || player.getGamemode() == Gamemode.creative;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
index cf2a0921a..c1357e118 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
@@ -70,7 +70,7 @@ public class RecipePageCrafting
 
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
-    private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
+    private static final Minecraft mc = Minecraft.getMinecraft();
     private static Player player;
     private static long ticks = 0;
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
index 9a65149f5..df93189e5 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
@@ -35,7 +35,7 @@ public class GuidebookPageMob
     private final Mob example;
     private List<SlotGuidebook> slots;
     private Map<MobInfoRegistry.MobDrop, SlotGuidebook> dropSlotMap;
-    private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
+    private static final Minecraft mc = Minecraft.getMinecraft();
     private static final ItemElement itemElement = new ItemElement(mc);
     private static final TooltipElement tooltipElement = new TooltipElement(mc);
     private boolean discovered;
@@ -218,7 +218,7 @@ public class GuidebookPageMob
             if (mouseX > x + 9 && mouseX < x + 9 + 52 && mouseY > y + 9 && mouseY < y + 9 + 70) {
                 String livingSound = example.getLivingSound();
                 if (example.cycleVariant() && livingSound != null) {
-                    Minecraft mc = Minecraft.getMinecraft(this);
+                    Minecraft mc = Minecraft.getMinecraft();
                     Random random = new Random();
                     mc.currentWorld.playSoundAtEntity(null, mc.thePlayer, livingSound, 0.25f, (random.nextFloat() - random.nextFloat()) * 0.2F + 1.0F);
                 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java
index 7b21e39ee..544ce699a 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java
@@ -87,7 +87,7 @@ public class GuidebookSectionMob
 
         @Override
         public String getName() {
-        	Minecraft mc = Minecraft.getMinecraft(this);
+        	Minecraft mc = Minecraft.getMinecraft();
             boolean discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(EntityDispatcher.idForClass(mobInfo.getEntityClass()))) > 0;
             if (mc.thePlayer.getGamemode() == Gamemode.creative) discovered = true;
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java
index 4b3389e5a..2fdab1459 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java
@@ -11,9 +11,9 @@ import net.minecraft.core.lang.I18n;
 
 public class GuidebookPageSearch extends GuidebookPage {
 
-    public static final TextFieldElement searchField = new TextFieldElement(null, Minecraft.getMinecraft(GuidebookPageSearch.class).font,0,0,120,20,"","Search...");
+    public static final TextFieldElement searchField = new TextFieldElement(null, Minecraft.getMinecraft().font,0,0,120,20,"","Search...");
     public final ButtonElement searchClearButton = new ButtonElement(0,0,0,20,20,"X");
-    private final Minecraft mc = Minecraft.getMinecraft(GuidebookPageSearch.class);
+    private final Minecraft mc = Minecraft.getMinecraft();
 
     public GuidebookPageSearch(GuidebookSection section) {
         super(section);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
index 457ad2004..68b6cea6a 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
@@ -35,7 +35,7 @@ public class RecipePageBlastSmelting
     public Map<RecipeEntryBlastFurnace,List<SlotGuidebook>> map;
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
-    private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
+    private static final Minecraft mc = Minecraft.getMinecraft();
     private static Player player;
     private static long ticks = 0;
     public RecipePageBlastSmelting(GuidebookSection section, ArrayList<RecipeEntryBlastFurnace> recipes) {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
index 589bc8551..7121386f4 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
@@ -35,7 +35,7 @@ public class RecipePageSmelting
     public Map<RecipeEntryFurnace,List<SlotGuidebook>> map;
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
-    private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
+    private static final Minecraft mc = Minecraft.getMinecraft();
     private static Player player;
     private static long ticks = 0;
     public RecipePageSmelting(GuidebookSection section, ArrayList<RecipeEntryFurnace> recipes) {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
index d84e43c28..c71bd646a 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
@@ -38,7 +38,7 @@ public class RecipePageTrommel
     public Map<RecipeEntryTrommel,List<SlotGuidebook>> map;
     private final TooltipElement tooltipElement;
     private final ItemElement itemElement;
-    private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
+    private static final Minecraft mc = Minecraft.getMinecraft();
     private static Player player;
     private static long ticks = 0;
     private static long ticks2 = 0;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
index fd8b9830f..3ccb32e60 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
@@ -83,7 +83,7 @@ public class ScreenModelViewer extends ScreenPhotoMode implements ListenerTextFi
     protected boolean tickProgress = true;
     protected boolean rotateToCamera = true;
     public ScreenModelViewer(){
-        this.mc = Minecraft.getMinecraft(this);
+        this.mc = Minecraft.getMinecraft();
         mc.thePlayer.absMoveTo(0.5, 64.5, 0.5, 180, 0);
         mc.thePlayer.noPhysics = true;
         mc.textureManager.refreshTexturesAndDisplayErrors();
diff --git a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/categories/ModelViewerCategory.java b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/categories/ModelViewerCategory.java
index 851e99e9f..b49f0a081 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/categories/ModelViewerCategory.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/categories/ModelViewerCategory.java
@@ -12,7 +12,7 @@ public abstract class ModelViewerCategory {
     protected final Minecraft mc;
     public ModelViewerCategory(ScreenModelViewer modelViewer){
         this.modelViewer = modelViewer;
-        this.mc = Minecraft.getMinecraft(this);
+        this.mc = Minecraft.getMinecraft();
     }
     public abstract String getCategoryNameKey();
     public abstract String getCurrentDisplayInfo(I18n translator);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/components/ButtonComponent.java b/game/client/src/main/java/net/minecraft/client/gui/options/components/ButtonComponent.java
index b9d5bd982..6188b9862 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/components/ButtonComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/components/ButtonComponent.java
@@ -13,7 +13,7 @@ import static org.lwjgl.opengl.GL11.*;
 public abstract class ButtonComponent
     implements OptionsComponent
 {
-    protected static final Minecraft mc = Minecraft.getMinecraft(ButtonComponent.class);
+    protected static final Minecraft mc = Minecraft.getMinecraft();
     protected static final int COMPONENT_SPACING = 2;
     private static final int BUTTON_WIDTH = 100;
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/components/LanguagePackListComponent.java b/game/client/src/main/java/net/minecraft/client/gui/options/components/LanguagePackListComponent.java
index f5ab95fb5..17177c34f 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/components/LanguagePackListComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/components/LanguagePackListComponent.java
@@ -86,7 +86,7 @@ public class LanguagePackListComponent
     }
 
     private static class LanguagePackComponent {
-    	private final Minecraft mc = Minecraft.getMinecraft(this);
+    	private final Minecraft mc = Minecraft.getMinecraft();
         public final int index;
         public final Language languagePack;
         public final int height = BUTTON_HEIGHT;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/components/OptionsCategory.java b/game/client/src/main/java/net/minecraft/client/gui/options/components/OptionsCategory.java
index 6cc34375a..1514368bc 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/components/OptionsCategory.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/components/OptionsCategory.java
@@ -12,7 +12,7 @@ import java.util.List;
 public class OptionsCategory
     implements OptionsComponent
 {
-    private static final Minecraft mc = Minecraft.getMinecraft(OptionsCategory.class);
+    private static final Minecraft mc = Minecraft.getMinecraft();
     private static final ItemElement renderItem = new ItemElement(mc);
     private static final int PADDING = 2;
     private static final int TOP_SPACING = PADDING + 10 + 10 + PADDING;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/components/SearchFieldComponent.java b/game/client/src/main/java/net/minecraft/client/gui/options/components/SearchFieldComponent.java
index cb8709867..1bf5b9293 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/components/SearchFieldComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/components/SearchFieldComponent.java
@@ -14,7 +14,7 @@ import java.util.List;
 
 public class SearchFieldComponent
     implements OptionsComponent, TextFieldElement.ITextChangeListener {
-    private static final Minecraft mc = Minecraft.getMinecraft(SearchFieldComponent.class);
+    private static final Minecraft mc = Minecraft.getMinecraft();
 
     private static final int PADDING = 4;
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/components/ShortcutComponent.java b/game/client/src/main/java/net/minecraft/client/gui/options/components/ShortcutComponent.java
index b77b61c1a..a2a15891b 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/components/ShortcutComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/components/ShortcutComponent.java
@@ -7,7 +7,7 @@ import net.minecraft.core.sound.SoundCategory;
 
 public class ShortcutComponent
     implements OptionsComponent {
-    private static final Minecraft mc = Minecraft.getMinecraft(ShortcutComponent.class);
+    private static final Minecraft mc = Minecraft.getMinecraft();
     private static final int COMPONENT_SPACING = 2;
     private static final int BUTTON_WIDTH = 200;
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java b/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
index de6a8fc01..4dc8dc6e1 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
@@ -41,7 +41,7 @@ import java.io.File;
 
 public abstract class OptionsPages
 {
-    private static final Minecraft mc = Minecraft.getMinecraft(OptionsPages.class);
+    private static final Minecraft mc = Minecraft.getMinecraft();
     public static final OptionsPage GENERAL = register(new OptionsPage("gui.options.page.general.title", new ItemStack(Blocks.GRASS_RETRO))
         .withComponent(new OptionsCategory("gui.options.page.general.category.gameplay")
             .withComponent(new FloatOptionComponent(mc.gameSettings.FoV))
diff --git a/game/client/src/main/java/net/minecraft/client/gui/popup/ButtonComponent.java b/game/client/src/main/java/net/minecraft/client/gui/popup/ButtonComponent.java
index 24e0c1316..ba0d2afed 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/popup/ButtonComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/popup/ButtonComponent.java
@@ -18,7 +18,7 @@ public class ButtonComponent
         this.buttonLabel = buttonLabel;
         this.buttonValues = buttonValues;
 
-        this.minecraft = Minecraft.getMinecraft(this);
+        this.minecraft = Minecraft.getMinecraft();
 
         this.value = defaultValue;
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/popup/ButtonGroupComponent.java b/game/client/src/main/java/net/minecraft/client/gui/popup/ButtonGroupComponent.java
index c79783c86..542085474 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/popup/ButtonGroupComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/popup/ButtonGroupComponent.java
@@ -15,7 +15,7 @@ public class ButtonGroupComponent
     {
         super(width);
 
-        this.minecraft = Minecraft.getMinecraft(this);
+        this.minecraft = Minecraft.getMinecraft();
 
         this.buttons = new ButtonElement[buttonLabels.length];
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/popup/LabelComponent.java b/game/client/src/main/java/net/minecraft/client/gui/popup/LabelComponent.java
index 31d7c5ea8..bd8c6f156 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/popup/LabelComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/popup/LabelComponent.java
@@ -13,7 +13,7 @@ public class LabelComponent
     public LabelComponent(int width, String text, int color)
     {
         super(width);
-        this.fr = Minecraft.getMinecraft(this).font;
+        this.fr = Minecraft.getMinecraft().font;
         this.text = text;
         this.color = color;
     }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/popup/ListComponent.java b/game/client/src/main/java/net/minecraft/client/gui/popup/ListComponent.java
index 01c1eac8d..577996205 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/popup/ListComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/popup/ListComponent.java
@@ -37,7 +37,7 @@ public class ListComponent
     {
         super(width);
 
-        this.minecraft = Minecraft.getMinecraft(this);
+        this.minecraft = Minecraft.getMinecraft();
         this.height = height;
         this.closeOnItemSelected = closeOnItemSelected;
         this.tooltip = new TooltipElement(minecraft);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/popup/MessageBoxComponent.java b/game/client/src/main/java/net/minecraft/client/gui/popup/MessageBoxComponent.java
index c586e7889..d34d7efd1 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/popup/MessageBoxComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/popup/MessageBoxComponent.java
@@ -31,7 +31,7 @@ public class MessageBoxComponent
     {
         super(width);
 
-        this.minecraft = Minecraft.getMinecraft(this);
+        this.minecraft = Minecraft.getMinecraft();
         this.height = height;
 
         setupText(text, chars);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/popup/TextInputComponent.java b/game/client/src/main/java/net/minecraft/client/gui/popup/TextInputComponent.java
index 389e75fd4..16672f051 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/popup/TextInputComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/popup/TextInputComponent.java
@@ -11,7 +11,7 @@ public class TextInputComponent
     public TextInputComponent(int width, String defaultText, String placeholder)
     {
         super(width);
-        this.textField = new TextFieldElement(null, Minecraft.getMinecraft(this).font, 0, 0, width, getHeight(), defaultText, placeholder);
+        this.textField = new TextFieldElement(null, Minecraft.getMinecraft().font, 0, 0, width, getHeight(), defaultText, placeholder);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/toasts/AchievementToast.java b/game/client/src/main/java/net/minecraft/client/gui/toasts/AchievementToast.java
index ae5761f09..6e25d68db 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/toasts/AchievementToast.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/toasts/AchievementToast.java
@@ -14,7 +14,7 @@ import java.util.Random;
 public class AchievementToast implements IToastable {
     private static final double ANIMATION_DURATION_MILLIS = 3000L;
     private long startTime;
-    private final Minecraft mc = Minecraft.getMinecraft(this);
+    private final Minecraft mc = Minecraft.getMinecraft();
     private final Achievement achievement;
     private final boolean informational;
     public AchievementToast(Achievement achievement, boolean informational){
diff --git a/game/client/src/main/java/net/minecraft/client/render/RenderBlockCache.java b/game/client/src/main/java/net/minecraft/client/render/RenderBlockCache.java
index b9e628d80..339d989ba 100644
--- a/game/client/src/main/java/net/minecraft/client/render/RenderBlockCache.java
+++ b/game/client/src/main/java/net/minecraft/client/render/RenderBlockCache.java
@@ -8,7 +8,7 @@ import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.WorldSource;
 
 final public class RenderBlockCache {
-    private final Minecraft mc = Minecraft.getMinecraft(this);
+    private final Minecraft mc = Minecraft.getMinecraft();
     
     private static final int CACHE_RANGE = 1;
     private static final int CACHE_SIZE = CACHE_RANGE*2+1;
diff --git a/game/client/src/main/java/net/minecraft/client/render/RenderBlocks.java b/game/client/src/main/java/net/minecraft/client/render/RenderBlocks.java
index e3f4f1b23..642e161c2 100644
--- a/game/client/src/main/java/net/minecraft/client/render/RenderBlocks.java
+++ b/game/client/src/main/java/net/minecraft/client/render/RenderBlocks.java
@@ -32,7 +32,7 @@ public class RenderBlocks
         field_22352_G = 1;
         blockAccess = worldSource;
         renderBitMask = 0;
-        this.mc = Minecraft.getMinecraft(this);
+        this.mc = Minecraft.getMinecraft();
     }
 
     public RenderBlocks()
@@ -49,7 +49,7 @@ public class RenderBlocks
         uvRotateBottom = 0;
         field_22352_G = 1;
         renderBitMask = 0;
-        this.mc = Minecraft.getMinecraft(this);
+        this.mc = Minecraft.getMinecraft();
     }
 
     public float getBlockBrightness(WorldSource blockAccess, int x, int y, int z)
diff --git a/game/client/src/main/java/net/minecraft/client/render/Scissor.java b/game/client/src/main/java/net/minecraft/client/render/Scissor.java
index d9167c196..d75c7d866 100644
--- a/game/client/src/main/java/net/minecraft/client/render/Scissor.java
+++ b/game/client/src/main/java/net/minecraft/client/render/Scissor.java
@@ -7,7 +7,7 @@ import org.lwjgl.opengl.GL11;
 import static org.lwjgl.opengl.GL11.GL_SCISSOR_TEST;
 
 public abstract class Scissor {
-	private static Minecraft mc = Minecraft.getMinecraft(Scissor.class);
+	private static Minecraft mc = Minecraft.getMinecraft();
 	
     public static void enable(int x, int y, int xSize, int ySize) {
         int xScale = MathHelper.floor(mc.gameWindow.getWidthPixels() / mc.resolution.getExactScaledWidthScreenCoords());
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java b/game/client/src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java
index ca43c3990..cb66b9133 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java
@@ -6,7 +6,7 @@ import net.minecraft.core.world.WorldSource;
 
 public class BlockColorWater extends BlockColorCustom {
 
-	public Minecraft mc = Minecraft.getMinecraft(this);
+	public Minecraft mc = Minecraft.getMinecraft();
 	
 	public BlockColorWater(Colorizer colorizer) {
 		super(colorizer);
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java
index ed3679f9e..b0aa68bcc 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java
@@ -42,7 +42,7 @@ public class BlockModelPumice<T extends Block> extends BlockModelStandard<T> {
         renderBlocks.overbright = ob;
         lavaFlag = false;
         if (LightmapHelper.isLightmapEnabled()) {
-            lightmapCoordinate = Minecraft.getMinecraft(this).thePlayer.getLightmapCoord(1f);
+            lightmapCoordinate = Minecraft.getMinecraft().thePlayer.getLightmapCoord(1f);
         }
         bounds.set(0, 0, 0, 1, 1, 1);
         renderBlockWithBounds(tessellator, bounds, metadata, brightness, alpha, lightmapCoordinate);
diff --git a/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlag.java b/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlag.java
index 479940caa..fc3918ab9 100644
--- a/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlag.java
+++ b/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererFlag.java
@@ -14,7 +14,7 @@ import org.lwjgl.opengl.GL11;
 public class TileEntityRendererFlag extends TileEntityRenderer<TileEntityFlag>
 {
 
-	public final Minecraft mc = Minecraft.getMinecraft(this);
+	public final Minecraft mc = Minecraft.getMinecraft();
     private final ModelFlag modelFlag;
     private final ModelFlag modelFlagMirrored;
     private static FlagRenderer flagRenderer = null;
@@ -27,7 +27,7 @@ public class TileEntityRendererFlag extends TileEntityRenderer<TileEntityFlag>
 
     @Override
     public void doRender(Tessellator tessellator, TileEntityFlag tileEntity, double x, double y, double z, float partialTick) {
-        World theWorld = Minecraft.getMinecraft(this).currentWorld;
+        World theWorld = Minecraft.getMinecraft().currentWorld;
         int blockUnder = theWorld.getBlockId(tileEntity.x, tileEntity.y - 1, tileEntity.z);
         boolean shortPole = blockUnder == Blocks.FLAG.id;
 
@@ -42,7 +42,7 @@ public class TileEntityRendererFlag extends TileEntityRenderer<TileEntityFlag>
     private long lastTick = 0;
     public void doRender(TileEntityFlag tileEntityFlag, double x, double y, double z, float partialTick, boolean shortPole, float windDirection, float windIntensity)
     {
-        World theWorld = Minecraft.getMinecraft(this).currentWorld;
+        World theWorld = Minecraft.getMinecraft().currentWorld;
         if (flagRenderer == null)
         {
             flagRenderer = new FlagRenderer(renderDispatcher.textureManager);
diff --git a/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMeshGold.java b/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMeshGold.java
index 6abb59749..3cac4a5a8 100644
--- a/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMeshGold.java
+++ b/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMeshGold.java
@@ -35,7 +35,7 @@ public class TileEntityRendererMeshGold extends TileEntityRenderer<TileEntityMes
         renderEntity.y = renderEntity.yo = tileEntity.y + 0.5;
         renderEntity.z = renderEntity.zo = tileEntity.z + 0.5;
         
-        float lightLevel = Minecraft.getMinecraft(this).currentWorld.getLightBrightness(tileEntity.x, tileEntity.y, tileEntity.z);
+        float lightLevel = Minecraft.getMinecraft().currentWorld.getLightBrightness(tileEntity.x, tileEntity.y, tileEntity.z);
         if (Global.accessor.isFullbrightEnabled()) lightLevel = 1.0f;
         BlockModel.setRenderBlocks(EntityRenderDispatcher.instance.itemRenderer.renderBlocksInstance);
         GL11.glEnable(GL12.GL_RESCALE_NORMAL);
diff --git a/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMovingPiston.java b/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMovingPiston.java
index 9a3d63afd..bd31230a2 100644
--- a/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMovingPiston.java
+++ b/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMovingPiston.java
@@ -31,7 +31,7 @@ public class TileEntityRendererMovingPiston extends TileEntityRenderer<TileEntit
 
     public TileEntityRendererMovingPiston()
     {
-        mc = Minecraft.getMinecraft(this);
+        mc = Minecraft.getMinecraft();
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java b/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java
index b646159a2..ba93ed529 100644
--- a/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java
+++ b/game/client/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java
@@ -18,7 +18,7 @@ import org.lwjgl.opengl.GL11;
 public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
 {
 
-	private final Minecraft mc = Minecraft.getMinecraft(this);
+	private final Minecraft mc = Minecraft.getMinecraft();
 	
     public TileEntityRendererSign()
     {
diff --git a/game/client/src/main/java/net/minecraft/client/render/customatlas/CustomAtlasHandler.java b/game/client/src/main/java/net/minecraft/client/render/customatlas/CustomAtlasHandler.java
index 86ba2cf65..56a817ecc 100644
--- a/game/client/src/main/java/net/minecraft/client/render/customatlas/CustomAtlasHandler.java
+++ b/game/client/src/main/java/net/minecraft/client/render/customatlas/CustomAtlasHandler.java
@@ -23,7 +23,7 @@ public class CustomAtlasHandler {
 	private static Atlas legacyTerrainAtlas = null;
 	private static Atlas legacyItemsAtlas = null;
 	
-	public static Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
+	public static Minecraft mc = Minecraft.getMinecraft();
 	
 	private static Map<String, BufferedImage> textureOverrides = new HashMap<>();
 	
diff --git a/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexture.java b/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexture.java
index fa2fef768..71e8c9787 100644
--- a/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexture.java
+++ b/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTexture.java
@@ -6,7 +6,7 @@ import org.jetbrains.annotations.NotNull;
 
 public abstract class DynamicTexture {
 
-	public Minecraft mc = Minecraft.getMinecraft(this);
+	public Minecraft mc = Minecraft.getMinecraft();
 	@NotNull
 	public final IconCoordinate targetTexture;
 	public byte[] imageData;
diff --git a/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterFlow.java b/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterFlow.java
index 28fba470a..b3d1576c5 100644
--- a/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterFlow.java
+++ b/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterFlow.java
@@ -6,7 +6,7 @@ import org.jetbrains.annotations.NotNull;
 
 public class DynamicTextureWaterFlow extends DynamicTexture {
 	
-	private final Minecraft mc = Minecraft.getMinecraft(this);
+	private final Minecraft mc = Minecraft.getMinecraft();
 	
 	private float[] arr1;
 	private float[] arr2;
diff --git a/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterStill.java b/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterStill.java
index ae7918a5b..17811a091 100644
--- a/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterStill.java
+++ b/game/client/src/main/java/net/minecraft/client/render/dynamictexture/DynamicTextureWaterStill.java
@@ -5,7 +5,7 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 
 public class DynamicTextureWaterStill extends DynamicTexture {
 	
-	private final Minecraft mc = Minecraft.getMinecraft(this);
+	private final Minecraft mc = Minecraft.getMinecraft();
 
 	private float[] arr1;
 	private float[] arr2;
diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java
index 41a0b7b7b..a6aa5e9ba 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererBoat.java
@@ -16,7 +16,7 @@ import org.lwjgl.opengl.GL11;
 public class EntityRendererBoat extends EntityRenderer<EntityBoat>
 {
 	
-	private final Minecraft mc = Minecraft.getMinecraft(this);
+	private final Minecraft mc = Minecraft.getMinecraft();
 
     public EntityRendererBoat()
     {
diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
index 7722ad905..c25847e04 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
@@ -26,7 +26,7 @@ public class EntityRendererFallingBlock extends EntityRenderer<EntityFallingBloc
 
     public EntityRendererFallingBlock()
     {
-        mc = Minecraft.getMinecraft(this);
+        mc = Minecraft.getMinecraft();
         shadowSize = 0.5F;
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/MobRenderer.java b/game/client/src/main/java/net/minecraft/client/render/entity/MobRenderer.java
index 443723a94..fc54fdee1 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/MobRenderer.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/MobRenderer.java
@@ -27,7 +27,7 @@ public class MobRenderer<T extends Mob> extends EntityRenderer<T>
     {
         this.mainModel = model;
         this.shadowSize = shadowSize;
-        this.mc = Minecraft.getMinecraft(this);
+        this.mc = Minecraft.getMinecraft();
     }
 
 
@@ -262,7 +262,7 @@ public class MobRenderer<T extends Mob> extends EntityRenderer<T>
     }
     public void loadEntityTexture(T entity)
     {
-        if (!Minecraft.getMinecraft(this).gameSettings.mobVariants.value)
+        if (!Minecraft.getMinecraft().gameSettings.mobVariants.value)
         {
             bindTexture(entity.getDefaultEntityTexture());
         }
diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererFireflyCluster.java b/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererFireflyCluster.java
index c0b28b691..45cb7a74f 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererFireflyCluster.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererFireflyCluster.java
@@ -25,7 +25,7 @@ public class MobRendererFireflyCluster extends EntityRenderer<MobFireflyCluster>
 			fx.setAge(rand.nextInt(20));
 			fireflies.add(fx);
 		}
-		mc = Minecraft.getMinecraft(this);
+		mc = Minecraft.getMinecraft();
 		lastTick = System.currentTimeMillis();
 	}
 
diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererPlayer.java b/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererPlayer.java
index 19ec797d4..62f74377c 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererPlayer.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererPlayer.java
@@ -51,7 +51,7 @@ public class MobRendererPlayer extends MobRenderer<Player>
     }
     protected void renderSpecials(Player player, float partialTick)
     {
-        if (Minecraft.getMinecraft(this).thePlayer.getGamemode() == Gamemode.spectator && player.getGamemode() == Gamemode.spectator){
+        if (Minecraft.getMinecraft().thePlayer.getGamemode() == Gamemode.spectator && player.getGamemode() == Gamemode.spectator){
             GL11.glColor4f(1f, 1f, 1f, 0.25f);
         } else if (player.getGamemode() == Gamemode.spectator) {
             GL11.glColor4f(1f, 1f, 1f, 0.0f);
@@ -162,7 +162,7 @@ public class MobRendererPlayer extends MobRenderer<Player>
             }
 
             Tessellator tessellator = Tessellator.instance;
-            Minecraft mc = Minecraft.getMinecraft(this);
+            Minecraft mc = Minecraft.getMinecraft();
             TextureRegistry.blockAtlas.bind();
             GL11.glPushMatrix();
             Lighting.disable();
@@ -208,10 +208,10 @@ public class MobRendererPlayer extends MobRenderer<Player>
     @Override
     protected void renderSpecials(Tessellator tessellator, Player entity, double d, double d1, double d2)
     {
-        if (Minecraft.getMinecraft(this).thePlayer.getGamemode() != Gamemode.spectator && entity.getGamemode() == Gamemode.spectator) {
+        if (Minecraft.getMinecraft().thePlayer.getGamemode() != Gamemode.spectator && entity.getGamemode() == Gamemode.spectator) {
             return;
         }
-        if(Minecraft.getMinecraft(this).gameSettings.immersiveMode.drawNames() && renderDispatcher.camera != null) // Render name
+        if(Minecraft.getMinecraft().gameSettings.immersiveMode.drawNames() && renderDispatcher.camera != null) // Render name
         {
             if (renderDispatcher.camera instanceof EntityCamera && ((EntityCamera)renderDispatcher.camera).mob == entity)
             {
@@ -271,7 +271,7 @@ public class MobRendererPlayer extends MobRenderer<Player>
     @Override
     protected void setupScale(Player entity, float partialTick)
     {
-        if (Minecraft.getMinecraft(this).thePlayer.getGamemode() == Gamemode.spectator && entity.getGamemode() == Gamemode.spectator){
+        if (Minecraft.getMinecraft().thePlayer.getGamemode() == Gamemode.spectator && entity.getGamemode() == Gamemode.spectator){
             GL11.glColor4f(1f, 1f, 1f, 0.25f);
         } else if (entity.getGamemode() == Gamemode.spectator) {
             GL11.glColor4f(1f, 1f, 1f, 0.0f);
diff --git a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModel.java b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModel.java
index 4bbbde18c..6cf37eed3 100644
--- a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModel.java
+++ b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModel.java
@@ -22,7 +22,7 @@ public abstract class ItemModel {
     }
     public abstract void renderItemFirstPerson(Tessellator tessellator, ItemRenderer renderer, Player player, ItemStack stack, float partialTick);
     public void renderItem(Tessellator tessellator, ItemRenderer renderer, Mob entityLiving, ItemStack itemStack){
-        final Minecraft mc = Minecraft.getMinecraft(this);
+        final Minecraft mc = Minecraft.getMinecraft();
         float brightness = entityLiving.getBrightness(1.0f);
         renderItem(tessellator, renderer, itemStack, entityLiving, brightness, true);
     }
diff --git a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java
index ce6ff451d..b9c141f32 100644
--- a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java
+++ b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java
@@ -46,7 +46,7 @@ public class ItemModelBlock extends ItemModelStandard {
 
     @Override
     public void renderItemFirstPerson(Tessellator tessellator, ItemRenderer renderer, Player player, ItemStack stack, float partialTick) {
-        final Minecraft mc = Minecraft.getMinecraft(this);
+        final Minecraft mc = Minecraft.getMinecraft();
         float brightness = 1.0f;
         if(LightmapHelper.isLightmapEnabled()) {
         	int lightmapCoord = player.getLightmapCoord(partialTick);
diff --git a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java
index c32c6a869..792841bc9 100644
--- a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java
+++ b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java
@@ -48,7 +48,7 @@ public class ItemModelBow extends ItemModelStandard {
     }
     @Override
     public void renderItemIntoGui(Tessellator tessellator, Font font, TextureManager textureManager, ItemStack itemStack, int x, int y, float brightness, float alpha) {
-        Minecraft mc = Minecraft.getMinecraft(this);
+        Minecraft mc = Minecraft.getMinecraft();
         Item nextArrow = getNextArrow(mc.thePlayer);
         if (itemStack == mc.thePlayer.getHeldItem() && nextArrow != null){
             glEnable(GL_BLEND);
diff --git a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java
index 170c5336f..2fa56485e 100644
--- a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java
+++ b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java
@@ -25,7 +25,7 @@ import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL12;
 
 public class ItemModelMap extends ItemModelStandard {
-    private final Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
+    private final Minecraft mc = Minecraft.getMinecraft();
     private final MapItemRenderer renderMapInstance = new MapItemRenderer(mc.font, mc.gameSettings, mc.textureManager);
 
     public ItemModelMap(Item item, String namespace) {
diff --git a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
index acda003b9..6a63af17b 100644
--- a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
+++ b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
@@ -39,7 +39,7 @@ import static org.lwjgl.opengl.GL11.glScaled;
 import static org.lwjgl.opengl.GL11.glTranslated;
 
 public class ItemModelStandard extends ItemModel{
-    final Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
+    final Minecraft mc = Minecraft.getMinecraft();
     public static final IconCoordinate ITEM_TEXTURE_MISSING = TextureRegistry.getTexture("minecraft:item/texture_missing");
     public static final IconCoordinate ITEM_TEXTURE_UNASSIGNED = TextureRegistry.getTexture("minecraft:item/texture_unassigned");
     protected boolean useColor = true;
@@ -135,7 +135,7 @@ public class ItemModelStandard extends ItemModel{
     @Override
     public void renderItemIntoGui(Tessellator tessellator, Font font, TextureManager textureManager, ItemStack itemStack, int x, int y, float brightness, float alpha) {
         if (itemStack == null) return;
-        Minecraft mc = Minecraft.getMinecraft(this);
+        Minecraft mc = Minecraft.getMinecraft();
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         GL11.glDisable(GL_LIGHTING);
         GL11.glEnable(GL_BLEND);
@@ -194,7 +194,7 @@ public class ItemModelStandard extends ItemModel{
 
     @Override
     public void renderAsItemEntity(Tessellator tessellator, @Nullable Entity entity, Random random, ItemStack itemstack, int renderCount, float yaw, float brightness, float partialTick) {
-        final Minecraft mc = Minecraft.getMinecraft(this);
+        final Minecraft mc = Minecraft.getMinecraft();
         if (mc.fullbright || itemfullBright) brightness = 1.0f;
 
         EntityRenderDispatcher renderDispatcher = EntityRenderDispatcher.instance;
diff --git a/game/client/src/main/java/net/minecraft/client/render/texture/Texture.java b/game/client/src/main/java/net/minecraft/client/render/texture/Texture.java
index 35453be3f..ae24d5098 100644
--- a/game/client/src/main/java/net/minecraft/client/render/texture/Texture.java
+++ b/game/client/src/main/java/net/minecraft/client/render/texture/Texture.java
@@ -138,7 +138,7 @@ public class Texture {
 		glTexImage2D(GL_TEXTURE_2D, 0, GL_RGBA, w, h, 0, GL_RGBA, GL_UNSIGNED_BYTE, buffer);
 
 		if(mipmap) {
-			Minecraft mc = Minecraft.getMinecraft(this);
+			Minecraft mc = Minecraft.getMinecraft();
 			generateMipmaps(buffer, img, mc.gameSettings.mipmapLevels.value, mc.gameSettings.mipmapType.value == MipmapType.SMOOTH);
 		}
 	}
diff --git a/game/client/src/main/java/net/minecraft/client/render/texture/TextureFile.java b/game/client/src/main/java/net/minecraft/client/render/texture/TextureFile.java
index 2a0fbc945..b8a437c3f 100644
--- a/game/client/src/main/java/net/minecraft/client/render/texture/TextureFile.java
+++ b/game/client/src/main/java/net/minecraft/client/render/texture/TextureFile.java
@@ -49,7 +49,7 @@ public class TextureFile extends Texture{
         metaHandler.reset();
 
         if (sourcePath != null) {
-            Minecraft mc = Minecraft.getMinecraft(this);
+            Minecraft mc = Minecraft.getMinecraft();
             TexturePack pack = mc.texturePackList.getHighestPriorityTexturePackWithFile(sourcePath);
             if (pack == null) {
                 setupTexture(missingTexture);
diff --git a/game/client/src/main/java/net/minecraft/client/render/texture/stitcher/AtlasStitcher.java b/game/client/src/main/java/net/minecraft/client/render/texture/stitcher/AtlasStitcher.java
index 5c43bbc57..7d968f262 100644
--- a/game/client/src/main/java/net/minecraft/client/render/texture/stitcher/AtlasStitcher.java
+++ b/game/client/src/main/java/net/minecraft/client/render/texture/stitcher/AtlasStitcher.java
@@ -62,7 +62,7 @@ public class AtlasStitcher extends Texture {
     public void preinit() {
         generate();
         long startTime = System.nanoTime();
-        Minecraft mc = Minecraft.getMinecraft(this);
+        Minecraft mc = Minecraft.getMinecraft();
         List<IconCoordinate> coordinateList = new ArrayList<>(textureMap.values());
         List<Future<?>> futures = new ArrayList<>();
         ExecutorService service = Executors.newFixedThreadPool(32);
diff --git a/game/client/src/main/java/net/minecraft/client/sound/SoundEngine.java b/game/client/src/main/java/net/minecraft/client/sound/SoundEngine.java
index 8d326f7ad..4cc75dadd 100644
--- a/game/client/src/main/java/net/minecraft/client/sound/SoundEngine.java
+++ b/game/client/src/main/java/net/minecraft/client/sound/SoundEngine.java
@@ -85,7 +85,7 @@ public class SoundEngine
         if (!loaded && (gamesettings != null && SoundCategoryHelper.isAnyEnabled(gamesettings))) {
             loadLibrary();
         }
-		mc = Minecraft.getMinecraft(this);
+		mc = Minecraft.getMinecraft();
     }
 
     public void updateOptions() {
diff --git a/game/client/src/main/java/net/minecraft/client/util/debug/DebugRender.java b/game/client/src/main/java/net/minecraft/client/util/debug/DebugRender.java
index b8183412d..8211407a3 100644
--- a/game/client/src/main/java/net/minecraft/client/util/debug/DebugRender.java
+++ b/game/client/src/main/java/net/minecraft/client/util/debug/DebugRender.java
@@ -178,7 +178,7 @@ public class DebugRender {
 		tessellator.setColorOpaque_I(0xFF0000);
 		drawRectangle(tessellator, x, y - tickLagHeight, frametimes.length, 1);
 
-		Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
+		Minecraft mc = Minecraft.getMinecraft();
 		if (mc.gameSettings.customFpsLimit.value > 0 || mc.gameSettings.enableVsync.value){
 			tessellator.setColorOpaque_I(0x00FF00);
 			int fps;
diff --git a/game/client/src/main/java/net/minecraft/client/util/helper/Colors.java b/game/client/src/main/java/net/minecraft/client/util/helper/Colors.java
index 471359caf..3a8edcdd2 100644
--- a/game/client/src/main/java/net/minecraft/client/util/helper/Colors.java
+++ b/game/client/src/main/java/net/minecraft/client/util/helper/Colors.java
@@ -11,7 +11,7 @@ import net.minecraft.core.util.helper.Color;
 
 public abstract class Colors {
 	
-	private static Minecraft mc = Minecraft.getMinecraft(Colors.class);
+	private static Minecraft mc = Minecraft.getMinecraft();
 	
 	public static final Color[] allChatColors = new Color[16];
 	public static final Color[] allPlankColors = new Color[16];
diff --git a/game/client/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderDynamic.java b/game/client/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderDynamic.java
index 8b099bb99..00dd4f354 100644
--- a/game/client/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderDynamic.java
+++ b/game/client/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderDynamic.java
@@ -57,7 +57,7 @@ public class ChunkProviderDynamic implements IChunkProvider
     public boolean canChunkBeUnloaded(int chunkX, int chunkZ) {
         int id = ChunkCoordinate.toInt(chunkX, chunkZ);
         if(forceLoadedChunkMap.containsKey(id)) return false;
-        int renderDistance = Minecraft.getMinecraft(this).gameSettings.renderDistance.value;
+        int renderDistance = Minecraft.getMinecraft().gameSettings.renderDistance.value;
         return chunkX <= currentChunkX - renderDistance || chunkZ <= currentChunkZ - renderDistance || chunkX >= currentChunkX + renderDistance || chunkZ >= currentChunkZ + renderDistance;
     }
 
